import usb

##VENDOR_RQ_SET_LED    = 0
##VENDOR_RQ_GET_SWITCH = 1

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

board = find_board()
handle = board.open()
#req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
#req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN

choice=0
while(choice!=3):
	print "-"*9
	print "Main Menu"
	print "-"*9
	print "1. Set auto"
	print "2. Set manual "
	print "3. Quit"
 	choice = input("Enter Choice : ")
        if(choice==1):
		exit = 0
		timehour = input("Enter time (hour) :")
		timemin = input("Enter time (min) :")
	#	count = 0
		timetotal = timehour*504000+timemin*8400
		while(timetotal != exit):
			ans = 0
			exit = exit+1
                	req_AUTO = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
                	light = handle.controlMsg(req_AUTO, 2, 2)
                	ans = ((light[0]*256)+light[1])
			req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
			print ans
			if(ans > 800):
	                    	handle.controlMsg(req, 0, None, value=0x0000)
			elif(ans < 800):
				handle.controlMsg(req, 0, None, value=0x0100)
		
		print "Time Up!!"		
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
		handle.controlMsg(req, 0, None, value=0x0000)
	
	elif(choice==2):
		count = 0
		ans=1000
		exit = 0
		nub = 0
		people = 0
                timehour = input("Enter time (hour) :")
                timemin = input("Enter time (min) :")
                timetotal = timehour*882000+timemin*14700
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
		handle.controlMsg(req, 0, None, value=0x0000)
		while(timetotal!=exit):
			ans = 0
			req_MAN = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
			light = handle.controlMsg(req_MAN, 2, 2)
			ans = ((light[0]*256)+light[1])
			req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
			print "loop1"
			if(count ==0):	
				while(ans > 800):
					exit = exit + 1
					#print exit
					#print "why"
					req_MAN = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
                        		light = handle.controlMsg(req_MAN, 2, 2)
                        		ans = ((light[0]*256)+light[1])
                        		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
					if(ans<800):
						count=1
					if(timetotal==exit):
						break
					
				if((count == 1)&(ans < 800)):
					count = 0
					nub += 1
					print "inif"
					if(nub%2 == 1):
						print "on"
						handle.controlMsg(req, 0, None, value=0x0100)
						people = people + 1
					elif(nub%2 == 0):
						print "off"
						handle.controlMsg(req, 0, None, value=0x0000)
						people = people + 1
		
		print "Time Up!!"
		print "Total people is :"
		print 			      people/2
                req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
                handle.controlMsg(req, 0, None, value=0x0000)
